Cyberduck Mountain Duck CLI

#3790 closed defect (fixed)

Changing permissions resets extended access rights flags

Reported by: oscar.brynolf@… Owned by: dkocher
Priority: normal Milestone: 4.4
Component: sftp Version: 3.3b3
Severity: normal Keywords: sftp, setgid, permissions
Cc: Architecture:
Platform:

Description (last modified by dkocher)

I have a remote folder like so:

drwxr-s--- 2 me www-data 4096 Oct  7 15:31 htdocs

Then I want to set it to be group-writeable in Cyberduck. So I login (SFTP) I bring up the Info-dialogue for the folder and click the appropriate checkbox to make it so. Now the folder looks like this:

drwxrwx--- 2 me www-data 4096 Oct  7 15:31 htdocs

The setgid-bit has been reset. Surely, this can't be correct?

cheers!

Change History (14)

comment:1 Changed on Nov 3, 2009 at 5:14:18 PM by dkocher

  • Milestone set to 3.5

comment:2 Changed on Jan 3, 2010 at 3:37:30 PM by dkocher

  • Description modified (diff)

comment:3 Changed on Nov 20, 2010 at 5:50:55 PM by dkocher

  • Summary changed from Changing directory permissions resets setgid-bit over SFTP to Changing directory permissions resets setgid-bit

comment:4 Changed on Nov 27, 2010 at 10:59:25 AM by dkocher

The same also applies to changing UNIX permissions when connected to FTP.

comment:5 Changed on Nov 27, 2010 at 11:00:22 AM by dkocher

We should also honour both setuid and setgid and sticky bits.

comment:6 Changed on Nov 28, 2010 at 3:28:00 PM by dkocher

  • Summary changed from Changing directory permissions resets setgid-bit to Changing permissions resets extended access rights flags

comment:7 Changed on Dec 19, 2010 at 7:16:33 PM by dkocher

           4000    (the set-user-ID-on-execution bit) Executable files with this bit set will run with effective
                   uid set to the uid of the file owner.  Directories with the set-user-id bit set will force all
                   files and sub-directories created in them to be owned by the directory owner and not by the
                   uid of the creating process, if the underlying file system supports this feature: see chmod(2)
                   and the suiddir option to mount(8).
           2000    (the set-group-ID-on-execution bit) Executable files with this bit set will run with effective
                   gid set to the gid of the file owner.

Version 0, edited on Dec 19, 2010 at 7:16:33 PM by dkocher (next)

comment:8 Changed on Aug 18, 2013 at 4:04:06 PM by dkocher

#4387 closed as duplicate.

comment:9 Changed on Sep 8, 2013 at 12:37:46 PM by dkocher

  • Milestone set to 4.4
  • Status changed from new to assigned

comment:10 Changed on Sep 8, 2013 at 2:09:01 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r12749.

comment:11 Changed on Sep 15, 2013 at 10:32:38 AM by dkocher

  • Resolution fixed deleted
  • Status changed from closed to reopened

comment:12 Changed on Sep 15, 2013 at 12:11:46 PM by dkocher

setuid and setgid In r12898.

comment:13 Changed on Sep 15, 2013 at 12:12:31 PM by dkocher

New test for SFTP in r12899.

comment:14 Changed on Sep 15, 2013 at 6:14:59 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

Fix for FTP and test in r12904.

Note: See TracTickets for help on using tickets.
swiss made software